摘要: 题解都是用的 ST 表和线段树等方法。我来写一篇离线的解法。 思路分析 暴力很容易想到,但显然超时。 GCD 的单调不增 这个是可以离线操作的关键。 由题目可知对于一个固定左端点 \(l\),随着右端点 \(r\) 不断向右扩展,区间 GCD 是单调不增的: \[\gcd(a_l) \geq \gc 阅读全文
posted @ 2026-09-27 16:21 Lexot 阅读(5) 评论(0) 推荐(0)
摘要: 文章来自我的洛谷题解:https://www.luogu.com.cn/article/npadgim4 题目传送门 题目分析 贪心好题。 容易得到对于每个位置 \(i\): 如果是 L:手里的 L 的数量 len++。 如果是 Q:此时每个之前的 L 都可以与当前 Q 形成聚合。 如果是 ?:先看 阅读全文
posted @ 2026-04-26 18:41 Lexot 阅读(45) 评论(0) 推荐(0)